Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.simpleAccesstracking
Class UserHandlingMeg

    java.lang.Object
      com.ibm.wbi.Meg
          com.ibm.wbi.Generator
              com.ibm.wbi.protocol.http.HttpGenerator
                  scone.simpleAccesstracking.UserHandlingMeg

All Implemented Interfaces:
  java.util.EventListener, com.ibm.wbi.RequestListener, java.io.Serializable

public class UserHandlingMeg
extends com.ibm.wbi.protocol.http.HttpGenerator

This meg creates the user logging entries in the access database.

If the user is unknown (no cookie ID to the host tracking.scone.de is set) a login screen is displayed

After the login, a cookie is set and from now on the userId from this cookie is used.

\n The meg is called when

1. a transfer is startet (filename = _start)
2. the page was loaded (filename = _load)
3. the page was left (filename = _stop)

\n The correcconding JavaScript-Code is inserted by the JavaScriptAdder.
The JS-methods stop() and loaded() calls are inserted by the BodyEventAdder.
The onClick-events to all the Links can be added by the LinkEventAdder.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.ibm.wbi.protocol.http.HttpGenerator
`COPYRIGHT, http`

Fields inherited from class com.ibm.wbi.Meg
`EDITOR, GENERATOR, MONITOR, REQUEST_EDITOR, UNDEFINED`

Constructor Summary
`UserHandlingMeg()`

Method Summary
`void` | `addCookie(java.lang.String s, java.lang.String s1, java.util.Date date, java.lang.String s2, java.lang.String s3, boolean flag)`
`void` | `handleRequest(com.ibm.wbi.RequestEvent e)`

Methods inherited from class com.ibm.wbi.protocol.http.HttpGenerator
`add, getContentType, getHttpResponse, getHttpResponseString, getResponseCode, getResponseText, isCache, produceHeader, set, setCache, setContentLength, setContentType, setResponseCode, setResponseText, setServer, writeHeader`

Methods inherited from class com.ibm.wbi.Generator
`getType`

Methods inherited from class com.ibm.wbi.Meg
`forwardRequest, getCondition, getEnabled, getMegProperty, getMegProperty, getMegPropertyKeys, getName, getPlugin, getPriority, getSystemContext, initialize, initialize, isEnabled, isMegApplicable, loadMegResources, run, setCondition, setEnabled, setMegProperty, setName, setPriority, setSystemContext, setup, setup, setup, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserHandlingMeg

    public UserHandlingMeg()

Method Detail

### handleRequest

    public void handleRequest(com.ibm.wbi.RequestEvent e)
                       throws com.ibm.wbi.RequestRejectedException

  Throws:
    `com.ibm.wbi.RequestRejectedException`

### addCookie

    public void addCookie(java.lang.String s,
                          java.lang.String s1,
                          java.util.Date date,
                          java.lang.String s2,
                          java.lang.String s3,
                          boolean flag)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD